.modal-auth#show-modal-scout {
    transition: all 0.3s ease-in-out;
}

.scout-input-chose-common-checkbox {
    display: flex;
    align-items: center;
    position: relative;
    width: 100%;
    height: 44px;
    background: none;
    padding-inline: 0;
}

.scout-input-chose-common-checkbox label.label-show-list-checkbox {
    background-color: unset;
    width: fit-content;
    right: 0;
    position: absolute;
    width: 18px;
    height: 16px;
}

.scout-input-chose-common-checkbox .icon-show-list-checkbox {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    width: 18px;
    height: 16px;
    cursor: pointer;
}

.scout-input-chose-common-checkbox .input-chose-common-checkbox {
    pointer-events: none;
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 16px;
    font-weight: 400;
    height: 44px;
    border: 1px solid #CED4DA;
    border-radius: 4px;
    padding: 0 60px 0 16px;
}

.scout-modal-group {
    display: flex;
    flex-direction: column;
    max-width: 800px;
    background-color: var(--main-bg-color);
    width: 100%;
    border-radius: 4px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    height: fit-content;
}

.scout-modal-header {
    padding: 24px 16px;
    display: flex;
    border-radius: inherit;
    align-items: flex-start;
    justify-content: space-between;
    max-height: 83px;
    border-bottom: 1px solid var(--bs-light);
}

.scout-modal-header h2.scout-modal-title {
    font-size: 18px;
    font-weight: 700;
    color: var(--bs-dorapita);
    word-break: auto-phrase;
}

.scout-modal-header label {
    width: fit-content;
    background-color: unset;
    display: flex;
    gap: 8px;
    align-items: center;
    cursor: pointer;
    padding: 0;
}

.scout-modal-header .scout-modal-close-text {
    font-size: 16px;
    font-weight: 400;
    white-space: nowrap;
    text-decoration: underline;
}

.scout-modal-header .scout-modal-close-text-icon {
    margin: 0;
}

.scout-modal-content {
    width: 100%;
}

.scout-modal-wrap-content {
    display: flex;
    padding: 32px 24px 24px 24px;
}

.scout-modal-wrap-checkbox {
    display: grid;
    width: 100%;
    grid-template-columns: repeat(3, 1fr);
    gap: 8px;
    border-bottom: 1px solid var(--bs-light);
    padding-bottom: 24px;
}

.scout-modal-wrap-checkbox input {
    width: 16px;
    height: 16px;
    margin: 0;
}

.scout-modal-wrap-checkbox input[type=checkbox] {
    flex-shrink: 0;
    flex-grow: 0;
    width: 16px;
    height: 16px;
    vertical-align: middle;
    background-color: #fff;
    background-image: none;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    border-radius: 2px;
    border: 1px solid #CED4DA;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    -webkit-print-color-adjust: exact;
    color-adjust: exact;
    cursor: pointer;
    outline: none !important;
    border-color: #CED4DA !important;
    padding: 0;
    margin: 0;
}

.scout-modal-wrap-checkbox input[type=checkbox]:checked {
    border-color: var(--bs-danger);
    background-image: url('data:image/svg+xml;utf8,<svg id="a" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"  fill="%23ffffff"><path class="b" d="M18.73,9.43c.63-.63,.63-1.67,0-2.3-.63-.63-1.67-.63-2.3,0l-6.28,6.28-2.57-2.57c-.63-.63-1.67-.63-2.3,0-.63,.63-.63,1.67,0,2.3l3.72,3.72c.63,.63,1.67,.63,2.3,0l7.43-7.43Z"/></svg>');
    border-radius: 2px;
    background-color: var(--dorapita, #00797E);
}

.scout-modal-wrap-checkbox.has-child .scout-modal-group-checkbox {
    display: grid;
    grid-template-columns: 126px 7fr;
    grid-template-rows: 1fr;
    align-items: start;
}

.scout-modal-wrap-checkbox.has-child .scout-modal-group-checkbox:not(:has(.resume-group + .child-checkboxes)) .child-checkboxes {
    padding: 0;
    border: unset;
    margin-left: 0px;
}

.scout-modal-wrap-checkbox.has-child .child-checkboxes {
    display: grid;
    gap: 8px;
    width: 100%;
    border-left: 1px solid var(--bs-light);
    padding: 0 0 0 16px;
    margin-left: 8px;
    grid-template-columns: repeat(7, 1fr);
}

.scout-modal-wrap-checkbox.has-child .child-checkboxes {
    display: grid;
    gap: 8px;
    width: 100%;
    border-left: 1px solid var(--bs-light);
    padding: 0 0 0 16px;
    margin-left: 8px;
    grid-template-columns: repeat(auto-fill, minmax(0, 84px));
}

.scout-modal-wrap-checkbox.has-child .child-checkboxes .checkbox-container label {
    display: flex;
    gap: 8px;
    align-items: start;
    white-space: nowrap;
}

.scout-modal-group-checkbox {
    cursor: pointer;
}

.scout-modal-wrap-checkbox.has-child {
    grid-template-columns: repeat(1, 1fr);
    max-height: 304px;
    overflow-y: scroll;
    overflow-x: hidden;
    scrollbar-width: none;
}

.scout-modal-wrap-checkbox.has-child .input.checkbox,
.scout-modal-wrap-checkbox.has-child .resume-group {
    width: 126px;
}

.scout-modal-wrap-checkbox.has-child .child-checkboxes .input.checkbox,
.scout-modal-wrap-checkbox.has-child .child-checkboxes .resume-group {
    width: fit-content;
}

.scout-modal-group-checkbox .input.checkbox label,
.scout-modal-group-checkbox .resume-group label {
    background-color: unset;
    padding: 0;
    margin: 0;
    display: flex;
    column-gap: 8px;
    align-items: center;
    font-weight: 400;
    font-size: 16px;
    line-height: 16px;
    cursor: pointer;
    width: 100%;
    max-height: 44px;
    flex-direction: row;
}

.scout-modal-wrap-checkbox .input.checkbox,
.scout-modal-wrap-checkbox .resume-group {
    max-width: 245px;
    width: 100%;
    margin-bottom: 0px;
    cursor: pointer;
    display: flex;
    align-items: center;
}

.scout-modal-wrap-checkbox label:has(.parent-checkbox) {
    background-color: unset;
    max-width: 245px;
    width: 100%;
    padding: 0;
    display: flex;
    gap: 8px;
}

.scout-modal-group-button {
    display: flex;
    align-items: center;
    column-gap: 24px;
    margin-top: 16px;
    border: unset;
}

.modal-scout-group-wrap-button-select {
    display: flex;
    gap: 0px;
    max-width: 148px;
    width: 100%;
}

.modal-scout-group-wrap-button-select button {
    padding: 0;
    text-decoration: underline;
}

.modal-scout-group-wrap-button-chose {
    display: flex;
    align-items: center;
    column-gap: 8px;
}

.modal-scout-close,
.modal-scout-select {
    width: 200px;
    max-height: 48px;
    height: 48px;
    border-radius: 29px;
    color: var(--dorapita, #00797E);
    border: 1px solid var(--dorapita, #00797E);
    background-color: var(--main-bg-color);
    display: flex;
    justify-content: center;
    padding: 18px 8px;
    font-size: 16px;
    font-weight: 700;
    cursor: pointer;
    align-items: center;
}

.modal-scout-select {
    background: var(--dorapita, #00797E);
    color: var(--main-bg-color);
}

@media (max-width: 992px) {
    .scout-modal-group {
        top: 0%;
        left: 50%;
        transform: translate(-50%, 71px);
        height: calc(100% - 71px);
        max-height: unset;
        max-width: unset;
    }

    .scout-modal-wrap-content,
    .scout-modal-content {
        display: flex;
        flex-direction: column;
        position: relative;
        flex: 1;
        height: 100%;
        overflow: hidden;
    }

    .scout-modal-wrap-checkbox {
        grid-template-columns: repeat(1, 1fr);
        transition: all 0.1s linear;
        overflow-y: scroll;
        overflow-x: hidden;
        scrollbar-width: none;
        max-height: calc(100% - 80px);
        padding: 16px;
        padding-bottom: 0px;
        height: 100%;
    }

    .scout-auth-close {
        min-width: 75px;
        justify-content: end;
    }

    .scout-modal-wrap-checkbox .input.checkbox,
    .scout-modal-wrap-checkbox .resume-group {
        max-width: 100%;
        padding: 0 16px;
        border-radius: 4px;
        height: 48px;
        border: 1px solid var(--bs-light);
    }

    .scout-modal-wrap-checkbox .input.checkbox:has(input:checked),
    .scout-modal-wrap-checkbox .resume-group:has(input:checked) {
        background-color: #E3F0F1;
        border-color: var(--bs-dorapita04);
    }

    .scout-modal-wrap-content {
        padding: 0px;
    }

    .scout-modal-group-button {
        padding: 16px;
        margin: 0;
        justify-content: space-between;
        position: absolute;
        width: 100%;
        bottom: 0;
        border-top: 1px solid var(--bs-light);
        background-color: var(--main-bg-color);
    }

    .modal-scout-group-wrap-button-select {
        flex-direction: column;
    }

    .modal-scout-group-wrap-button-select button {
        width: 70px;
    }

    .modal-scout-close,
    .modal-scout-select {
        width: 120.5px;
    }

    .scout-modal-group-checkbox .input.checkbox label,
    .scout-modal-group-checkbox .resume-group label {
        width: 100%;
        max-height: 44px;
        flex-direction: row;
        max-width: unset;
        height: 100%;
    }

    .scout-modal-wrap-checkbox.has-child {
        max-height: unset;
        flex: 1;
        display: flex;
        flex-direction: column;
    }

    .scout-modal-wrap-checkbox.has-child .scout-modal-group-checkbox,
    .scout-modal-wrap-checkbox.has-child .child-checkboxes {
        flex-direction: column;
        display: flex;
    }

    .scout-modal-wrap-checkbox.has-child .child-checkboxes .checkbox-container label {
        align-items: center;
    }

    .scout-modal-wrap-checkbox:not(.has-child) {
        display: flex;
        flex-direction: column;
        row-gap: 8px;
    }

    .scout-modal-wrap-checkbox:not(.has-child) .scout-modal-group-checkbox {
        display: flex;
        flex-direction: column;
        row-gap: 8px;
    }

    .scout-modal-wrap-checkbox.has-child .child-checkboxes {
        margin: 8px 0 0 0;
        flex: 0;
    }

    .scout-modal-wrap-checkbox.has-child .input.checkbox,
    .scout-modal-wrap-checkbox.has-child .resume-group,
    .scout-modal-wrap-checkbox.has-child .checkbox-container,
    .scout-modal-wrap-checkbox.has-child .child-checkboxes .input.checkbox,
    .scout-modal-wrap-checkbox.has-child .child-checkboxes .resume-group {
        width: 100%;
        white-space: nowrap;
    }

    .scout-modal-wrap-checkbox .scout-modal-group-checkbox:not(:has(+ .scout-modal-group-checkbox)) {
        margin-bottom: 90px;
    }

    .scout-input-chose-common-checkbox,
    .scout-input-chose-common-checkbox .input-chose-common-checkbox {
        height: 48px;
    }
}
